package com.huiju.foyo.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 服务表 
 * </p>
 *
 * @author jobob
 * @since 2019-08-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ToString
public class SysUser implements Serializable {

    private static final long serialVersionUID = 1L;
    
    @TableId(value = "user_id", type = IdType.AUTO)
    private Integer userId;

    /**
     * 名称
     */
    private String name;

    /**
     * 头像
     */
    private String avatar;

    private String loginName;

    private String passwd;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 用户token
     */
    @TableField(exist = false)
    private String token;

}
