package com.huiju.foyo.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 案例表 
 * </p>
 *
 * @author jobob
 * @since 2019-08-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCase implements Serializable {

    private static final long serialVersionUID = 1L;
    
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    
    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 类型ID
     */
    private Integer taCaseTypeId;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 置顶 1是置顶
     */
    private Integer topping;

    /**
     * 案例封面图
     */
    private String caseCoverImg;

    /**
     * 案例标题
     */
    private String caseTitle;

    /**
     * 案例简介
     */
    private String caseSummary;

    /**
     * 案例客户方logo
     */
    private String caseLogoImg;

    /**
     * 所属行业
     */
    private String caseIndustry;

    /**
     * 案例内容
     */
    private String content;
    
    /**
     * 发布类型
     */
    private String type;

    private Integer likeNum;
}
