import Vue from 'vue'
import Vuex from 'vuex'
import app from './modules/app'
import errorLog from './modules/errorLog'
import permission from './modules/permission'
import tagsView from './modules/tagsView'
import user from './modules/user'
import getters from './getters'
import service from './modules/service'
import servicecase from './modules/case'
import carousel from './modules/carousel'
import partner from './modules/partner'
import company from './modules/company'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    errorLog,
    permission,
    tagsView,
    user,
    service,
    servicecase,
    carousel,
    partner,
    company
  },
  getters
})

export default store
